<template>
  <div :style="'height:' + height">
    <iframe style="width: 100%; height: 100%" :src="src" frameborder="no"></iframe>
  </div>
</template>
<script setup lang="ts">
import { ref } from "vue";
import cache from "@/utils/cache";

const userId = cache.session.get("userId");
const src = ref(
  `http://124.70.31.38:49878/irpt/oemlogin.do?id=${userId}&pw=123456&target=task&task={3785A4AB-7C0C-486F-B75B-28A4FE8AA304}.cc3e38dcc133e8750dd3cf5d719ef29e`
);
const height = ref(document.documentElement.clientHeight - 94.5 + "px");
</script>
<style lang="scss" scoped></style>
